
Station Monitor - タスク #511

Assembler, Refineryモニターを追加
2019/07/13 13:04 - sdust sdust

ステータス: 新規 開始日: 2019/07/13

優先度: 通常 期日:  

担当者:  進捗率: 0%

カテゴリ:    

説明

Productionブロック共通

原材料インベントリの状態 (InputInventory)
生産品インベントリの状態 (OutputInventory)
生産中か IsProducing
キューが空か IsQueueEmpty
次生産アイテムの情報 NextItemId
生産キューの情報 GetQueue(List)

アセンブラのみ

CurrentProgress
モード Mode
Assembly / Disassembly か
Assembly     The assembler is currently set to assemble new items.
Disassembly     The assembler is currently set to disassemble existing items.
協力モードか CooperativeMode
繰り返しモードか Repeating

参考:
https://github.com/malware-dev/MDK-SE/wiki/Sandbox.ModAPI.Ingame.IMyProductionBlock
https://github.com/malware-dev/MDK-SE/wiki/Sandbox.ModAPI.Ingame.IMyAssembler

履歴
#1 - 2019/07/14 12:13 - sdust sdust

- 題名 を Assembler, Refineryのモニター表示 から Assembler, Refineryモニターを追加 に変更

#2 - 2019/07/14 12:53 - sdust sdust

- 説明 を更新

#3 - 2019/07/14 12:55 - sdust sdust

- 説明 を更新
